Loading...
Searching...
No Matches
itk::DeformationFieldRegulizer< TAnyITKTransform > Class Template Reference
Components » Transforms | Common

`#include <itkDeformationFieldRegulizer.h>`

## Detailed Description

template<class TAnyITKTransform>
class itk::DeformationFieldRegulizer< TAnyITKTransform >

This class combines any itk transform with the DeformationFieldTransform.

This class is a base class for Transforms that also use a diffusion / regularization of the deformation field.

Definition at line 41 of file itkDeformationFieldRegulizer.h.

Inheritance diagram for itk::DeformationFieldRegulizer< TAnyITKTransform >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | IntermediaryDFTransformPointer = typename IntermediaryDFTransformType::Pointer
using | IntermediaryDFTransformType = DeformationVectorFieldTransform<ScalarType, Self::InputSpaceDimension>
using | IteratorType = ImageRegionIterator<VectorImageType>
using | OriginType = typename VectorImageType::PointType
using | Pointer = SmartPointer<Self>
using | RegionType = typename VectorImageType::RegionType
using | Self = DeformationFieldRegulizer
using | SpacingType = typename VectorImageType::SpacingType
using | Superclass = TAnyITKTransform
using | VectorImageType = typename IntermediaryDFTransformType ::CoefficientVectorImageType
using | VectorPixelType = typename VectorImageType::PixelType

## Public Member Functions

virtual const char * | GetClassName () const
virtual const IntermediaryDFTransformType * | GetIntermediaryDeformationFieldTransform ()
void | InitializeDeformationFields ()
| ITK_DISALLOW_COPY_AND_MOVE (DeformationFieldRegulizer)
| itkStaticConstMacro (InputSpaceDimension, unsigned int, Superclass::InputSpaceDimension)
| itkStaticConstMacro (OutputSpaceDimension, unsigned int, Superclass::OutputSpaceDimension)
virtual void | SetDeformationFieldOrigin (OriginType _arg)
virtual void | SetDeformationFieldRegion (RegionType _arg)
virtual void | SetDeformationFieldSpacing (SpacingType _arg)
OutputPointType | TransformPoint (const InputPointType &inputPoint) const override
virtual void | UpdateIntermediaryDeformationFieldTransform (typename VectorImageType::Pointer vecImage)

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

| DeformationFieldRegulizer ()
| ~DeformationFieldRegulizer () override=default

## Private Attributes

OriginType | m_DeformationFieldOrigin {}
RegionType | m_DeformationFieldRegion {}
SpacingType | m_DeformationFieldSpacing {}
bool | m_Initialized {}
IntermediaryDFTransformPointer | m_IntermediaryDeformationFieldTransform {}

## Member Typedef Documentation

## ConstPointer

template<class TAnyITKTransform>

using itk::DeformationFieldRegulizer< TAnyITKTransform >::ConstPointer = SmartPointer<const Self>

Definition at line 50 of file itkDeformationFieldRegulizer.h.

## IntermediaryDFTransformPointer

template<class TAnyITKTransform>

using itk::DeformationFieldRegulizer< TAnyITKTransform >::IntermediaryDFTransformPointer = typename IntermediaryDFTransformType::Pointer

Definition at line 78 of file itkDeformationFieldRegulizer.h.

## IntermediaryDFTransformType

template<class TAnyITKTransform>

using itk::DeformationFieldRegulizer< TAnyITKTransform >::IntermediaryDFTransformType = DeformationVectorFieldTransform<ScalarType, Self::InputSpaceDimension>

Typedef's needed in this class.

Definition at line 77 of file itkDeformationFieldRegulizer.h.

## IteratorType

template<class TAnyITKTransform>

using itk::DeformationFieldRegulizer< TAnyITKTransform >::IteratorType = ImageRegionIterator<VectorImageType>

Definition at line 81 of file itkDeformationFieldRegulizer.h.

## OriginType

template<class TAnyITKTransform>

using itk::DeformationFieldRegulizer< TAnyITKTransform >::OriginType = typename VectorImageType::PointType

Definition at line 86 of file itkDeformationFieldRegulizer.h.

## Pointer

template<class TAnyITKTransform>

using itk::DeformationFieldRegulizer< TAnyITKTransform >::Pointer = SmartPointer<Self>

Definition at line 49 of file itkDeformationFieldRegulizer.h.

## RegionType

template<class TAnyITKTransform>

using itk::DeformationFieldRegulizer< TAnyITKTransform >::RegionType = typename VectorImageType::RegionType

Typedef's for the vectorImage.

Definition at line 84 of file itkDeformationFieldRegulizer.h.

## Self

template<class TAnyITKTransform>

using itk::DeformationFieldRegulizer< TAnyITKTransform >::Self = DeformationFieldRegulizer

Standard itk.

Definition at line 47 of file itkDeformationFieldRegulizer.h.

## SpacingType

template<class TAnyITKTransform>

using itk::DeformationFieldRegulizer< TAnyITKTransform >::SpacingType = typename VectorImageType::SpacingType

Definition at line 85 of file itkDeformationFieldRegulizer.h.

## Superclass

template<class TAnyITKTransform>

using itk::DeformationFieldRegulizer< TAnyITKTransform >::Superclass = TAnyITKTransform

Definition at line 48 of file itkDeformationFieldRegulizer.h.

## VectorImageType

template<class TAnyITKTransform>

using itk::DeformationFieldRegulizer< TAnyITKTransform >::VectorImageType = typename IntermediaryDFTransformType ::CoefficientVectorImageType

Definition at line 79 of file itkDeformationFieldRegulizer.h.

## VectorPixelType

template<class TAnyITKTransform>

using itk::DeformationFieldRegulizer< TAnyITKTransform >::VectorPixelType = typename VectorImageType::PixelType

Definition at line 80 of file itkDeformationFieldRegulizer.h.

## Constructor & Destructor Documentation

## DeformationFieldRegulizer()

template<class TAnyITKTransform>

itk::DeformationFieldRegulizer< TAnyITKTransform >::DeformationFieldRegulizer | ( |  | ) |

protected

The constructor.

## ~DeformationFieldRegulizer()

template<class TAnyITKTransform>

itk::DeformationFieldRegulizer< TAnyITKTransform >::~DeformationFieldRegulizer | ( |  | ) |

override protected default

The destructor.

## Member Function Documentation

## GetClassName()

template<class TAnyITKTransform>

virtual const char * itk::DeformationFieldRegulizer< TAnyITKTransform >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented in elastix::BSplineTransformWithDiffusion< TElastix >.

## GetIntermediaryDeformationFieldTransform()

template<class TAnyITKTransform>

virtual const IntermediaryDFTransformType * itk::DeformationFieldRegulizer< TAnyITKTransform >::GetIntermediaryDeformationFieldTransform | ( |  | ) |

virtual

itk Get macro for the deformation field transform.

## InitializeDeformationFields()

template<class TAnyITKTransform>

void itk::DeformationFieldRegulizer< TAnyITKTransform >::InitializeDeformationFields | ( |  | ) |

Function to create and initialze the deformation fields.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TAnyITKTransform>

itk::DeformationFieldRegulizer< TAnyITKTransform >::ITK_DISALLOW_COPY_AND_MOVE | ( | DeformationFieldRegulizer< TAnyITKTransform > |  | ) |

## itkStaticConstMacro() [1/2]

template<class TAnyITKTransform>

itk::DeformationFieldRegulizer< TAnyITKTransform >::itkStaticConstMacro | ( | InputSpaceDimension | ,
|  | unsigned int | ,
|  | Superclass::InputSpaceDimension | )

Input space dimension.

## itkStaticConstMacro() [2/2]

template<class TAnyITKTransform>

itk::DeformationFieldRegulizer< TAnyITKTransform >::itkStaticConstMacro | ( | OutputSpaceDimension | ,
|  | unsigned int | ,
|  | Superclass::OutputSpaceDimension | )

Output space dimension.

## New()

template<class TAnyITKTransform>

Pointer itk::DeformationFieldRegulizer< TAnyITKTransform >::New | ( |  | ) |

static

Method for creation through the object factory.

## SetDeformationFieldOrigin()

template<class TAnyITKTransform>

virtual void itk::DeformationFieldRegulizer< TAnyITKTransform >::SetDeformationFieldOrigin | ( | OriginType | _arg | ) |

virtual

itk Set macro for the origin of the deformation field.

## SetDeformationFieldRegion()

template<class TAnyITKTransform>

virtual void itk::DeformationFieldRegulizer< TAnyITKTransform >::SetDeformationFieldRegion | ( | RegionType | _arg | ) |

virtual

itk Set macro for the region of the deformation field.

## SetDeformationFieldSpacing()

template<class TAnyITKTransform>

virtual void itk::DeformationFieldRegulizer< TAnyITKTransform >::SetDeformationFieldSpacing | ( | SpacingType | _arg | ) |

virtual

itk Set macro for the spacing of the deformation field.

## TransformPoint()

template<class TAnyITKTransform>

OutputPointType itk::DeformationFieldRegulizer< TAnyITKTransform >::TransformPoint | ( | const InputPointType & | inputPoint | ) | const

override

Method to transform a point.

## UpdateIntermediaryDeformationFieldTransform()

template<class TAnyITKTransform>

virtual void itk::DeformationFieldRegulizer< TAnyITKTransform >::UpdateIntermediaryDeformationFieldTransform | ( | typename VectorImageType::Pointer | vecImage | ) |

virtual

Function to update the intermediary deformation field by adding a diffused deformation field to it.

## Field Documentation

## m_DeformationFieldOrigin

template<class TAnyITKTransform>

OriginType itk::DeformationFieldRegulizer< TAnyITKTransform >::m_DeformationFieldOrigin {}

private

Definition at line 127 of file itkDeformationFieldRegulizer.h.

## m_DeformationFieldRegion

template<class TAnyITKTransform>

RegionType itk::DeformationFieldRegulizer< TAnyITKTransform >::m_DeformationFieldRegion {}

private

Declarations of region things.

Definition at line 126 of file itkDeformationFieldRegulizer.h.

## m_DeformationFieldSpacing

template<class TAnyITKTransform>

SpacingType itk::DeformationFieldRegulizer< TAnyITKTransform >::m_DeformationFieldSpacing {}

private

Definition at line 128 of file itkDeformationFieldRegulizer.h.

## m_Initialized

template<class TAnyITKTransform>

bool itk::DeformationFieldRegulizer< TAnyITKTransform >::m_Initialized {}

private

Definition at line 123 of file itkDeformationFieldRegulizer.h.

## m_IntermediaryDeformationFieldTransform

template<class TAnyITKTransform>

IntermediaryDFTransformPointer itk::DeformationFieldRegulizer< TAnyITKTransform >::m_IntermediaryDeformationFieldTransform {}

private

Declaration of members.

Definition at line 122 of file itkDeformationFieldRegulizer.h.

Generated on 1768596610 for elastix by 1.15.0 |